<div class="switch-btn {if $one_module.status eq "0"}switch-on{/if}" data-id="#telegram_module-1" id="telegram__switch-btn"><div></div></div>
<input type="checkbox" hidden="hidden" name="telegram_module_status" id="telegram_module_status" value="{if $one_module.status eq "0"}1{else}0{/if}"/>
<script>
    $(function () {
        var telegramCheckStatus = $('#telegram_module_status');
        var telegramModuleLink = $('#module__telegram');
        $('#telegram__switch-btn').click(function () {
            var $this = $(this);
            if ($this.hasClass('switch-on')) {
                jconfirm('{$lang.disabled_module_alert}', function () {
                    $this.toggleClass('switch-on');
                    $this.trigger('off.switch');

                });
            } else {
                $this.toggleClass('switch-on');
                $this.trigger('on.switch');
            }
        });
        $('#telegram__switch-btn').on('on.switch', function () {
            // Посылаем запрос на включение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=telegram',
                type: 'post',
                data: `csrf={$csrf}&activate=0`,
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    telegramCheckStatus.val('1');
                    telegramModuleLink.removeClass('disabled');
                    location.href = telegramModuleLink.attr('href');
                }
            });
        });
        $('#telegram__switch-btn').on('off.switch', function () {
            // Посылаем запрос на выключение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=telegram',
                type: 'post',
                data: `csrf={$csrf}&activate=1`,
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    telegramCheckStatus.val('0');
                    telegramModuleLink.addClass('disabled');
                    console.log('Модуль telegram успешно отключен');
                }
            });
        });
    });
</script>
